// assets/js/admin.js
jQuery(document).ready(function($) {
    $('#generate_content').on('click', function(e) {
        e.preventDefault();
        
        const $button = $(this);
        const $result = $('#generation_result');
        const prompt = $('#turbotext_prompt').val();

        if (!prompt) {
            alert(turbotextAI.i18n.emptyPrompt);
            return;
        }

        $button.prop('disabled', true).text(turbotextAI.i18n.generating);
        $result.hide();

        $.ajax({
            url: turbotextAI.ajaxUrl,
            type: 'POST',
            data: {
                action: 'turbotext_generate_content',
                nonce: turbotextAI.nonce,
                prompt: prompt
            },
            success: function(response) {
                if (response.success && response.data) {
                    response=response.data.data;
                    console.log(response);
                    $result
                        .html(response.answer || response.results[0] || response.content || response)
                        .removeClass('turbotext-error')	
                        .addClass('turbotext-success')
                        .show();
                } else {
                    $result
                        .html(response.data || 'Unknown error occurred')
                        .removeClass('turbotext-success')
                        .addClass('turbotext-error')
                        .show();
                }
            },
            error: function(xhr, status, error) {
                $result
                    .html('Error: ' + error)
                    .removeClass('turbotext-success')
                    .addClass('turbotext-error')
                    .show();
            },
            complete: function() {
                $button.prop('disabled', false).text(turbotextAI.i18n.generate);
            }
        });
    });
});