<?php
/**
 * Admin page template
 *
 * @package TurbotextAI
 * @since 1.0.0
 */

if (!defined('ABSPATH')) {
    exit;
}
?>
<div class="wrap">
    <h1><?php _e('Turbotext AI Integration', 'turbotext-ai'); ?></h1>

    <form method="post" action="options.php">
        <?php
        settings_fields('turbotext_ai_options');
        do_settings_sections('turbotext_ai_options');
        ?>
        <table class="form-table">
            <tr>
                <th scope="row">
                    <label for="turbotext_ai_token"><?php _e('API Token', 'turbotext-ai'); ?></label>
                </th>
                <td>
                    <input type="text" 
                           id="turbotext_ai_token" 
                           name="turbotext_ai_token" 
                           value="<?php echo esc_attr(get_option('turbotext_ai_token')); ?>" 
                           class="regular-text">
                    <p class="description">
                        <?php _e('Enter your Turbotext API token here', 'turbotext-ai'); ?>
                    </p>
                </td>
            </tr>
        </table>
        <?php submit_button(); ?>
    </form>

    <div class="turbotext-generator">
        <h2><?php _e('Рерайт с помощью Turbotext AI', 'turbotext-ai'); ?></h2>
        <div class="turbotext-generator-form">
            <textarea id="turbotext_prompt" 
                      rows="4" 
                      class="large-text" 
                      placeholder="<?php esc_attr_e('Напишите что что написать статью?', 'turbotext-ai'); ?>"></textarea>
            <p class="submit">
                <button id="generate_content" class="button button-primary">
                    <?php _e('Создать статью', 'turbotext-ai'); ?>
                </button>
            </p>
        </div>
        <div id="generation_result" class="hidden"></div>
    </div>
</div>